.subckt nmos_diff_tx pos neg pwr in ngnd 
+ nmos_imp=25
+ tx_rt=50
+ tx_c_comp=1p
+ tx_scale=1

*[MCP Begin]
*[MCP Ver] 1.2
*[MCP Source] Cadence Design Systems, Inc. MCP Editor
*
*[REM]***********************************************************************
*[Connection] tx_pkg
*[Connection Type] 
*
*[REM]***********************************************************************
*[Connection] stimulus
*[Connection Type] 
*[Ground Nets]
*2	ngnd	gnd
*[Signal Nets]
*1	in	in
*
*[REM]***********************************************************************
*[Connection] power_supply
*[Connection Type] 
*[Power Nets]
*1	pwr	pwr
*[Ground Nets]
*2	ngnd	gnd
*
*[REM]***********************************************************************
*[Connection] Buffer_out
*[Connection Type] 
*[Ground Nets]
*3	ngnd	gnd
*[Signal Nets]
*2	neg	Net_2
*1	pos	Net_1
*
*[REM]***********************************************************************
*[Connection] TXout
*[Connection Type] 
*[Power Nets]
*4	pwr	Power
*[Ground Nets]
*3	ngnd	gnd
*[Signal Nets]
*2	neg	Net_4
*1	pos	Net_3
*
*[MCP End]
***************************************************************************
* BEHAVIORAL CIRCUIT MODEL FOR Serial Link Analysis
***************************************************************************
*
* MODEL PARAMETERS
*
* This model takes the following parameters:
*
* nmos_imp > impedance of pulldown current source
* tx_rt > pullup termination
* tx_c_comp > parasitic die capacitance
* tx_scale > scaling factor for voltage swing
*
***************************************************************************

ven en 0 1

* generate stimulus for negative
einn inn ngnd volt='1-v(in, ngnd)'

xp pwr pos ngnd inn en Tx_sing
xn pwr neg ngnd in en Tx_sing

.subckt Tx_sing pwr out ngnd in en 
rt pwr out 'tx_rt'
g1 out ngnd cur='(1/nmos_imp) * tx_scale * v(out, ngnd) * v(in, ngnd) * v(en, ngnd)'

* esd cap 
c1 out ngnd 'tx_c_comp'

.ends Tx_sing

.ends nmos_diff_tx
*
